Bug 11961 - Add a "Z39.50 search" button to the authority creation and modfication forms.
Summary: Add a "Z39.50 search" button to the authority creation and modfication forms.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: simith.doliveira
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-19 16:22 UTC by Frédérick Capovilla
Modified: 2016-06-21 21:36 UTC (History)
9 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Add a "Z39.50 search" button to the authority creation and modification pages. (14.08 KB, patch)
2014-03-19 16:22 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
[SIGNED-OFF] Add a "Z39.50 search" button to the authority creation and modification pages. (14.22 KB, patch)
2014-03-22 02:57 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Fix the ProhibitedSubroutinePrototypes QA critical error by removing the ($) from the GetMandatoryFieldZ3950 function (887 bytes, patch)
2014-07-18 18:45 UTC, Eric Bégin
Details | Diff | Splinter Review
This patch fix the QA critical error, fix the capitalization and the UNIMARC support. (4.15 KB, patch)
2014-08-13 19:36 UTC, simith.doliveira
Details | Diff | Splinter Review
This patch fix the QA critical error, fix the capitalization and the UNIMARC support. (4.20 KB, patch)
2015-01-20 21:33 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[PASSED QA] Bug 11961 - Add a "Z39.50 search" button to the authority creation and modification pages. (15.37 KB, patch)
2015-01-23 12:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11961 - This patch fix the QA critical error, fix the capitalization and the UNIMARC support. (4.27 KB, patch)
2015-01-23 12:49 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2014-03-19 16:22:00 UTC Comment hidden (obsolete)
Comment 1 Nicole C. Engard 2014-03-22 02:57:40 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2014-04-11 15:05:37 UTC
FAIL   authorities/authorities.pl
   FAIL   critic
   # Subroutines::ProhibitSubroutinePrototypes: Got 1 violation(s).
Comment 3 Eric Bégin 2014-07-18 18:45:16 UTC Comment hidden (obsolete)
Comment 4 Eric Bégin 2014-07-18 18:46:47 UTC
Critical problem fixed
Comment 5 Katrin Fischer 2014-07-20 18:08:26 UTC
Comment on attachment 26516 [details] [review]
[SIGNED-OFF] Add a "Z39.50 search" button to the authority creation and modification pages.

Review of attachment 26516 [details] [review]:
-----------------------------------------------------------------

Hi Eric,

I have used the splinter review to add my comments. I like this addition, please provide a follow-up.

::: authorities/authorities.pl
@@ +344,4 @@
>      return int(rand(1000000));
>  }
>  
> +=item GetMandatoryFieldZ3950

Hard coding the fields in many places is a problem - please refactor so that it is using the same method as GuessAuthTypeCode. It also needs to be MARC agnostic (support UNIMARC) and have unit tests.

::: koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/z3950_auth_search.tt
@@ +201,4 @@
>          <br />Go to page : <input id="goto_page" name="goto_page" value="[% current_page %]" size="4" /><input type="submit" name="changepage_goto" onclick="return validate_goto_page();" value="Go" />
>      </form>
>  
> +<p><form method="get" action="/cgi-bin/koha/cataloguing/z3950_auth_search.pl"><input type="hidden" name="authid" value="[% authid %]" /><input type="submit" value="Try Another Search"/></form></p>

Please fix the capitalization here (I know it was wrong before, but this is a good moment to do it).

@@ +214,4 @@
>              </div>
>           [% END %]
>     <div class="dialog message">Nothing found.</div>
> +    <p><form method="get" action="/cgi-bin/koha/cataloguing/z3950_auth_search.pl"><input type="hidden" name="authid" value="[% authid %]" /><input type="submit" value="Try Another Search"/></form></p>

Also here.
Comment 6 simith.doliveira 2014-08-13 19:36:32 UTC Comment hidden (obsolete)
Comment 7 Aleisha Amohia 2015-01-20 21:33:06 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-01-23 12:49:31 UTC
Created attachment 35490 [details] [review]
[PASSED QA] Bug 11961 - Add a "Z39.50 search" button to the authority creation and modification pages.

This button lets you replace existing authorities using a Z39.50 search.

http://bugs.koha-community.org/show_bug.cgi?id=11961
Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
All tests pass

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2015-01-23 12:49:42 UTC
Created attachment 35491 [details] [review]
[PASSED QA] Bug 11961 - This patch fix the QA critical error, fix the capitalization and the UNIMARC support.

http://bugs.koha-community.org/show_bug.cgi?id=11961
Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Tomás Cohen Arazi 2015-01-26 19:35:59 UTC
Patches pushed to master.

Thanks Frederik!